From e233dd5e5448ffe51996872b3bc1cf1b2c0e79ce Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 4 Apr 2023 19:37:34 -0500
Subject: [PATCH 4/4] WIP: v16 docs: Add more details about
 pg_stat_get_xact_blocks_{fetched,hit}

e126d817c7af989c47366b0e344ee83d761f334a
d69c404c4cc5985d8ae5b5ed38bed3400b317f82
---
 doc/src/sgml/monitoring.sgml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 201408bf20a..af3745dc46a 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -5805,8 +5805,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <returnvalue>bigint</returnvalue>
        </para>
        <para>
-        Returns the number of block read requests for table or index, in the
-        current transaction. This number minus
+        Returns the number of block read requests for the given table or index,
+        in the current transaction. This number minus
         <function>pg_stat_get_xact_blocks_hit</function> gives the number of
         kernel <function>read()</function> calls; the number of actual
         physical reads is usually lower due to kernel-level buffering.
@@ -5822,9 +5822,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <returnvalue>bigint</returnvalue>
        </para>
        <para>
-        Returns the number of block read requests for table or index, in the
-        current transaction, found in cache (not triggering kernel
-        <function>read()</function> calls).
+        Returns the number of block read requests for the given table or index,
+        in the current transaction, which were found in the postgresql buffer cache (not
+        requiring kernel <function>read()</function> calls).
        </para></entry>
       </row>
 
-- 
2.34.1

